/*
  Josh's Custom CSS Reset
  https://www.joshwcomeau.com/css/custom-css-reset/
*/

*, *::before, *::after {
  box-sizing: border-box;
}

*:not(dialog) {
  margin: 0;
}

@media (prefers-reduced-motion: no-preference) {
  html {
    interpolate-size: allow-keywords;
  }
}

img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}

input, button, textarea, select {
  font: inherit;
}

p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}

p {
  text-wrap: pretty;
}
h1, h2, h3, h4, h5, h6 {
  text-wrap: balance;
}

#root, #__next {
  isolation: isolate;
}

/*
  jayde.lol css style
*/

:root {
  --bg: #eee;
  --fg: #415f31;
  --fg-muted: #dfe9e9;
  --fg-link: #338466;
  --fg-inverted: #CC7B99;
  --sans-serif-fonts: InclusiveSans, sans-serif, sans;
  --serif-fonts: Jigmo, NotoSansSymbols-Regular, NotoSansSymbols2-Regular, serif;

body {
  display: grid;                        /* TODO: media */ 
  grid-auto-columns: 20rem auto;
  grid-auto-rows: 7rem auto auto;
  min-height: 100vh;
  margin: 0;
  padding: 0;
  background: var(--bg);
  color: var(--fg);
  font-family: var(--sans-serif-fonts);
  font-size: 1rem;                      /* TODO: units */
  line-height: 1.3;
  text-rendering: optimizeSpeed;
  -webkit-font-smoothing: antialiased;
}



header {
  display: flex;
  flex-direction: row;
  grid-row: 1;
  grid-column: 1/3;  
  border-bottom: 2px dotted var(--fg-link);
  height: 100%;
  background-image: url("img/header-dither.gif");
}

header h1 {
  display: block;
  margin: 0;
  font-size: 3rem;
  font-weight: normal;
  font-style: italic;
  width: 20rem;
  margin-top: auto;
  margin-bottom: auto;
}

.header-links {
  display: none;
}

header a:hover {
  background: initial;
  color: initial;
}

header a img:hover {
  background: var(--fg-inverted);
  filter: invert(1);
  mix-blend-mode: normal;
}

header img {
  mix-blend-mode: multiply;
  image-rendering: optimizeSpeed;
}

header a img:active {
  background: var(--fg-link);
}

#nav-wrap {
  padding-left: 12px;
}

#side-bar {
  font-family: var(--serif-fonts);
  grid-column: 1;                       
  grid-row: 2;                          
  padding: 5px 20px;
 
  a {
  display: inline-block;
  padding: 2px 3px;
  }

  ul {
    padding-left: 15px;x
  }
}

nav {
  line-height: 1.5;
  padding-left: 20px;
}
  
.nav-header {
    display: block;
    font-weight: 700;
    font-size: large;
    font-style: italic;

}


.nav-file::marker {
    content: "🗎 ";
    font-size: 1.1rem;
  }
  
.nav-folder::marker {
  content: "🗀 ";
  font-size: 1.1rem;
}

.nav-current::marker {
  content: "🡺 ";
  color: var(--fg-link);
  font-size: 1.1rem;
}

.nav-huh::marker {
  content: "? ";
  font-size: 1.1rem;
  font-weight: 600;
}

a {
  color: var(--fg-link);
  text-decoration: none;
}

a:hover {
  background: var(--fg);
  color: var(--bg);
  text-decoration: underline;
}

a:active {
  background: var(--fg);
  color: var(--fg-muted);
  text-decoration: underline;
}

h1, h2, h3, h4, h5, h6 {
  color: var(--fg);
}
  
h2 {
  font-size: 2rem;
  font-weight: 600;
}

h3 {
  font-size: 1.5rem;
  font-weight: 500;
  }

hr {
  color: var(--bg);
  border-top: 2px dotted var(--fg-link);
}

footer {
  margin-top: auto;
  padding-bottom: 5px;
  padding-right: 10px;
  font-style: italic;
  background: var(--bg);
  text-align: right;
  grid-column: 1/3;
  grid-row: 3;
  grid-column-end: : --fg;
}

.footer-link {
  text-decoration: underline;
}

article {
  padding-top: 16px;
  padding-top: 1rem;
  max-width: 800px;
  grid-row: 2;
  grid-column: 2;
}

article p {
  margin-block-start: 8px;
  margin-block-start: 0.5rem;
  margin-block-end: 8px;
  margin-block-end: 0.5rem;
  line-height: 1.4;
}

article {
  h2, h3, h4, h5, h6 {
    margin-block-start: 12px;
    margin-block-start: 0.75rem;
  }
}

article a {
  text-decoration: underline;
}

article a::after {
  font-family: var(--serif-fonts);
  font-size: 0.8rem;
  content: " 🡺";
}

article img, article video {
  max-width: 100%;
  width: auto;
  height: auto;
  border: 2px dotted var(--fg-link);
}
blockquote {
    font-style: italic;
    border: 2px dotted var(--fg-link);
    background: var(--fg-muted);
    max-width: calc(800px - 4rem);

    margin-left: 32px;
    margin-right: 32px;
    padding-left: 16px;
    padding-right: 16px;

    margin-left: 2rem;
    margin-right: 2rem;
    padding-left: 1rem;
    padding-right: 1rem;
}

blockquote em {
  font-weight: 500;
}



#dancer {
  display: inline-block;
  height: 25px;
  margin-bottom: -3.5px;
}

@media (max-width: 768px)
{
  body {
    display: block;
  } 

  #side-bar {
    padding-bottom: 10px;
    border-bottom: 2px dotted var(--fg-link);
  }


  main {
    padding-left: 20px;
    padding-right: 20px;
  }
} 